Subject: bug#74870: closed (Re: bug#74870: cl-labels and cl-flet don't create named blocks)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jan 2025 01:33:02 +0000

Your bug report

#74870: cl-labels and cl-flet don't create named blocks

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74870: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74870
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74870: cl-labels and cl-flet don't create named blocks
From: Stefan Kangas <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], Jan Jouleodov <[email-masked]>
Date: Wed, 1 Jan 2025 19:32:46 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

>>> Is there any reason why one would not want to *always* emulate the CL
>>> behavior in cl-lib? I could only think of a backward compatibility
>>> problem before CL was standardized, but I am not familiar with the time
>>> frame of cl-lib to know if that's really the case.
>> Could you try the patch below?
>
> Never mind, it here's a better one I just pushed to `master`.

I'm therefore closing this bug report.

Subject: cl-labels and cl-flet don't create named blocks
From: Jan Jouleodov <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 13 Dec 2024 23:30:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

In ANSI CL, these should create a named CL:BLOCK, allowing one to do a local return via CL:RETURN-FROM. In Emacs, this is not the case, resulting in an uncaught exception.